config/routes.rb
Rails.application.routes.draw do
  resources :articles
  resources :mailing_groups
  resources :other_groups
  resources :level_groups
  resources :subject_groups
  resources :mailing_statuses
  resources :user_groups
  resources :users
  root 'welcome#index'

resources :mailings do
    member do
      get :edit_comment
      patch :save_comment
      get :copy
    end

    resources :group_files
    resources :mailing_files
  end

  resources :sessions, only: [:new, :create, :destroy]

  match "/register", to: "users#new", via: "get"
  match '/signin',  to: 'sessions#new',         via: 'get'
  match '/signout', to: 'sessions#destroy',     via: 'delete'

  match "/calendar", to: "mailings#calendar", via: "get"
  match "/holidays", to: "mailings#holidays", via: "get"
  match "/timeline", to: "mailings#timeline", via: "get"

  get 'group_files/:id/:style/:basename.:extension' => 'group_files#render_file'
  get 'mailing_files/:id/:style/:basename.:extension' => 'mailing_files#render_file', :constraints => { :basename => /.*/ }

end

app/models/level_group.rb
class LevelGroup < ActiveRecord::Base
	has_many :mailing_groups
end

app/controllers/level_groups_controller.rb
class LevelGroupsController < ApplicationController
  before_action :set_level_group, only: [:show, :edit, :update, :destroy]

  # GET /level_groups
  # GET /level_groups.json
  def index
    @level_groups = LevelGroup.all
  end

  # GET /level_groups/1
  # GET /level_groups/1.json
  def show
  end

  # GET /level_groups/new
  def new
    @level_group = LevelGroup.new
  end

  # GET /level_groups/1/edit
  def edit
  end

  # POST /level_groups
  # POST /level_groups.json
  def create
    @level_group = LevelGroup.new(level_group_params)

    respond_to do |format|
      if @level_group.save
        format.html { redirect_to @level_group, notice: 'Level group was successfully created.' }
        format.json { render :show, status: :created, location: @level_group }
      else
        format.html { render :new }
        format.json { render json: @level_group.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /level_groups/1
  # PATCH/PUT /level_groups/1.json
  def update
    respond_to do |format|
      if @level_group.update(level_group_params)
        format.html { redirect_to @level_group, notice: 'Level group was successfully updated.' }
        format.json { render :show, status: :ok, location: @level_group }
      else
        format.html { render :edit }
        format.json { render json: @level_group.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /level_groups/1
  # DELETE /level_groups/1.json
  def destroy
    @level_group.destroy
    respond_to do |format|
      format.html { redirect_to level_groups_url, notice: 'Level group was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_level_group
      @level_group = LevelGroup.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def level_group_params
      params.require(:level_group).permit(:name)
    end
end

app/helpers/level_groups_helper.rb
module LevelGroupsHelper
end

app/views/level_groups/_form.html.erb
<%= form_for(@level_group) do |f| %>
  <% if @level_group.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@level_group.errors.count, "error") %> prohibited this level_group from being saved:</h2>

      <ul>
      <% @level_group.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :name %><br>
    <%= f.text_field :name %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/level_groups/edit.html.erb
<h1>Editing Level Group</h1>

<%= render 'form' %>

<%= link_to 'Show', @level_group %> |
<%= link_to 'Back', level_groups_path %>

app/views/level_groups/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Grupy do mailingu - poziomy</h1>

<table class="table">
  <thead>
    <tr>
      <th>Nazwa</th>
    </tr>
  </thead>

  <tbody>
    <% @level_groups.each do |level_group| %>
      <tr>
        <td><%= level_group.name %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'Dodaj nowy poziom', new_level_group_path, class: "btn btn-primary btn-flat" %>

app/views/level_groups/new.html.erb
<h1>New Level Group</h1>

<%= render 'form' %>

<%= link_to 'Back', level_groups_path %>

app/views/level_groups/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Name:</strong>
  <%= @level_group.name %>
</p>

<%= link_to 'Edit', edit_level_group_path(@level_group) %> |
<%= link_to 'Back', level_groups_path %>